<?php
	$this->Html->css('EvPaypal.buttons', ['inline' => false]);
	// Load the paypal script
	$this->Html->script(
		"https://www.paypal.com/sdk/js?components=buttons&client-id={$paypal['clientId']}&currency=$currency&intent=capture",
		[
			'inline' => false,
			'data-client-token' => $paypal['clientToken'],
		]
	);

	// Then load the script that initialises the buttons etc
	echo $this->Element('EvPaypal.payment_script');
?>

<div id="paypal-buttons-container" class="disabled"
	data-amount="<?= number_format($amount, 2) ?>"
	data-currency="<?= $currency ?>"
	data-checkout-form="<?= $checkoutFormSelector ?>"
	data-customer-name="<?= $customerName ?>"
	data-shipping-address='<?= str_replace('\'', '\\\'', json_encode($deliveryAddress)) ?>',
	data-brand-name="<?= $paypal['brandName'] ?>"
></div>
<div id="paypal-processing-container">
	<?= $this->Element('EvPaypal.payment_processing'); ?>
</div>
